from HeaderException import HeaderException

##
# @brief Repeated Header Exception.
# @details Exception in which a repeated header index is found. To my knowledge
# each header type should only occur a maximum of one time.
# @author Miguel Dominguez
# @date 2016
class RepeatedHeaderException(HeaderException):
   ##
   # @fn __init__
   # @brief Constructor.
   # @details Initializes exception and stores header index.
   def __init__(self,headerIndex):
      super(Exception,self).__init__("Repeated Header Index {0}\n".format(headerIndex))
      self.headerIndex = headerIndex
