from HeaderException import HeaderException

##
# @brief Skipped Primary Header Exception.
# @details Exception in which a header other than the Primary Header occurs
# first in a file.
# @author Miguel Dominguez
# @date 2016
class SkippedPrimaryHeaderException(HeaderException):
   ##
   # @fn __init__
   # @brief Constructor.
   # @details Initializes exception and stores header index.
   def __init__(self,headerIndex):
      super(Exception,self).__init__("Skipped Primary Header, instead found index {0}\n".format(headerIndex))
      self.headerIndex = headerIndex
